<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<app-select #pageSizeSelect
            (appValueChange)="appPageSize = $event; appPageChange.emit({page: 0, size: $event});"
            [appDisabled]="appDisabled"
            [appOptions]="appPageSizeOptions"
            [appValue]="appPageSize"
            [title]="'shared.pagination.size' | translate"
            class="page-size-select">
</app-select>

<button (click)="getPreviousPage(pageSizeSelect.appValue)"
        [class.openk-button-disabled]="!(appPage > 0)"
        [disabled]="appDisabled || !(appPage > 0)"
        class="openk-button openk-info page-info--button">
  <mat-icon class="page-info--button--icon">keyboard_arrow_left</mat-icon>
</button>

<span
  [class.disabled]="appDisabled"
  class="page-info--text">
    {{appPage == null ? 1 : appPage + 1}} / {{appTotalPages === 0 ? 1 : appTotalPages}}
</span>

<button (click)="getNextPage(pageSizeSelect.appValue)"
        [disabled]="appDisabled || appPage >= appTotalPages - 1"
        class="openk-button openk-info page-info--button">
  <mat-icon class="page-info--button--icon">keyboard_arrow_right</mat-icon>
</button>
